<% title "Hosts" %>
<% breadcrumb workspace_link, hosts_link %>

<% include_javascript "jquery.watch" -%>
<% include_javascript "dataTables.filteringDelay" -%>
<% include_view_javascript -%>

<%= form_remote_tag :url => 'hosts/multi_tag', :method => :post, :html => {:id => 'table-form', :class => 'hosts'} do %>
	<%= render :partial => 'shared/analysis_tabs' %>

	<div class='tab_panel'>
		<div class="control-bar-items">
			<span class="button single"><%= link_to "Go to Host", '', :class => 'show' %></span>
			<span class="button any"><%= submit_to_remote "delete", "Delete", :url => delete_host_path, :html => { :class => "delete" }, :method => :delete, :confirm => "Delete selected hosts and close any associated sessions?" %></span>
	  		<%= render :partial => 'shared/host_selection_control_bar_items' %>
			<span class="button"><%= link_to "New Host", new_host_path(@workspace), :class => 'new' %></span>
			<div class="control-right">
				<span class="button"><a href='#' class='search'>&raquo;</a></span>
			</div>
		</div>

		<div id="hosts-table-wrapper">
			<%= render "hosts" %>
		</div>
	</div>
<% end %>

<%= render :partial => 'shared/tagging_dialog' %>
